aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index 3079a3c..2e1b822 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,8 +1,16 @@
#!/bin/sh
+
+find . -name "*.php" -print0 | xargs -0 -n1 php -l
+if [ $? -ne 0 ]; then
+ echo "not deploying b0rken code ;)"
+ exit 1
+fi
+
ssh voc@lb.dus.c3voc.de 'sudo sh' << EOT
cd /srv/nginx/streaming-website
git fetch origin
git reset --hard origin/master
chown -R voc:staff .
chown -R downloader configs
+./clear_cache
EOT